define(["myStorage"], function() {
	var UserCache = {
		getUserInfo: function() {
			var user = myStorage.getItem("user");
			if(user == null) {
				return null;
			}
			return JSON.parse(user);     //重新转化为对象
		},
		saveCache: function(value) {
			myStorage.setItem("user", value);
		},
		removeCache: function() {
			myStorage.removeItem("user");
		},
		/**
		 * 用户ID
		 */
		userIsLogin: function() {											//如果用户的token（ID）存在，则为true,否则为false，判断用户是否登录
			return this.getUserToken() == null ? false : true;
		},
		getUserToken: function() {
			return myStorage.getItem("token");
		},
		saveUserToken: function(value) {
			myStorage.setItem("token", value);
		},
		removeUserToken: function() {
			myStorage.removeItem("token");
		},
		
		
		/**
		 * 用户token
		 */
		getLoginToken: function() {											//这个才是真正的token
			return myStorage.getItem("LoginToken");
		},
		saveLoginToken: function(value) {
			myStorage.setItem("LoginToken", value);
		},
		removeLoginToken: function() {
			myStorage.removeItem("LoginToken");
		},
		
		
		/**
		 * token失效时间
		 */
		getTokenTimeOut: function() {
			return myStorage.getItem("TokenTimeOut");
		},
		saveTokenTimeOut: function(value) {
			myStorage.setItem("TokenTimeOut", value);
		},
		removeTokenTimeOut: function() {
			myStorage.removeItem("TokenTimeOut");
		}
	};
	return UserCache;
});