define(['audio_model',"UserCache","util","shareList"], function(model,UserCache,util,shareList) {
	var _this=null;
	var flag=false;
	var video = document.getElementById("audio");
	var elem = document.querySelector('input[type="range"]');
	var rangWid=document.querySelector('.rang_width');
	var reRangeVal=false;
	
	var tol     = null;	//视频总时长
	var cTime   = null; //当前的进度条
	var thisSrc = null;	//当前播放的视频src;
	function audio_control(){
		_this=this;
	}
	
	var vm=new Vue({
		el:".vueBox",
		data:{
			teacher : [],
			Describe: "",
			Cindex : 0,
			title  : "",   //名称
			Types  : "",   //是否是视频还是音频，1是视频，2是音频，3是图文
			CoureNum : "", //课时
			BuyNum	: "",   //学习人数
			IsBuy   : "",   //是否已经购买
			IstryLook :"", 
			TryLookSecond : "",		//试看时间
			ParentID:"",
			isTrue  : ""
		},
		methods:{
			goPhoto:function(index){
				mui.openWindow({
					url : "presonPhoto.html",
					id  : "presonPhoto.html",
					extras:{
						ID : index
					},
					styles: {
		                popGesture: 'close' ,
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			}
		}
	})
	
	audio_control.prototype.init = function(){
		model.init(function(data){
			if(data.state==1){
				var obj=data.data.course;
				console.log("data: " + JSON.stringify(data));
				$(".audioName").text(obj.Title);
				$(".audioTitle").text(obj.Title);
				$(".audioText span").eq(0).text(obj.CourseNum);
				$(".audioText span").eq(1).text(obj.BuyNum);
				$(".audioPhoto").attr("src",obj.Photo);
	 			vm.teacher	 = obj.teachers;
				vm.Describe  = obj.Describe;
				vm.IsBuy	 = obj.IsBuy;
				vm.IstryLook = obj.IstryLook;
				vm.TryLookSecond = obj.TryLookSecond;
				vm.ParentID  = obj.ParentID;
				
				model.isShowBuy(function(){
					vm.isTrue = model.getIsShowBuy();
					if(!vm.IsBuy){
						$("#audio").attr("src",obj.TryUrl); 
					}else{						
						$("#audio").attr("src",obj.ImageUrl); 
					}
					_this.ready();
				})
			}else{
				mui.toast(data.text);
			}
		})
	}
	
	
	audio_control.prototype.ready = function(data){
		_this.isNetWork();  					//检查网络		
	  	$("audio")[0].addEventListener("loadedmetadata", function(){	//成功获取视频资源才能获得到总时长；
	    	tol = this.duration;       		//获取总时长
	    	var len = _this.timeLength(tol);
	    	$(".total-time").html(len.h+":"+len.m+":"+len.s); 
	  	});
	}
	
	
	
	
	//监听播放-暂停事件
	video.addEventListener("play", function () {
		$(".play").attr("src","../videoIcon/pause.png");
		flag = true; 
	});
	video.addEventListener("pause", function () {
		$(".play").attr("src","../videoIcon/play.png");
		flag = false;  
	});
	video.addEventListener("timeupdate", function () {  
		_this.onTimeupdate();
	});
	$(".playBtn").on("click",function(){
		if(!flag){//开始
			$("audio")[0].play();
			$(".play").attr("src","../videoIcon/pause.png");
			flag = true;
		}else{    //暂停			
			$("audio")[0].pause();
			$(".play").attr("src","../videoIcon/play.png");
			flag = false;
		}
	})
	
	
	
	
	//播放时间的改变
	video.addEventListener("timeupdate", function () {  
		_this.onTimeupdate();
		_this.isNetWork();
	});	  
	//进度条
	audio_control.prototype.onTimeupdate = function(){
	    var cTime = $("audio")[0].currentTime;
	    var tTime = $("audio")[0].duration;
	    var value = cTime/tTime;
		if(vm.TryLookSecond==0){
			vm.TryLookSecond = tTime;
		}
		rangWid.style.width = value*100+"%";
		
		if(!reRangeVal){				//为了兼容安卓点击选项后，监听abort事件会把elem.value变成50而不是重置成0；
			elem.value= value*100;
		}else{
			elem.value= 0;
		}
		reRangeVal = false;
	    var _obj=_this.timeLength(cTime);
	    $(".curr-time").html(_obj.h+":"+_obj.m+":"+_obj.s);
	    
	    
	    if(vm.isTrue){
	    	
	    }else{
		    if(vm.IsBuy){									//已经买了不存在试看问题
		    	
		    }else{					
		    	if(vm.IstryLook){							
		    		if(cTime>=vm.TryLookSecond){				
			    		$("audio")[0].pause();
						$(".menbanLook").show();			//开启试看提示
			    	}
		    	}
		    }
	    }
	}
	
	
	
	//检查网络
	audio_control.prototype.isNetWork = function(){
		mui.plusReady(function(){
			var netWork = plus.networkinfo.getCurrentType();   
	        if(netWork==3){	// 3为状态码，wifi状态码是3,正常播放
	        	
	        }else if(netWork==1||netWork==0){
	        	mui.toast("网络连接超时");
	    		$("audio")[0].pause();				//视频暂停
	    		$(".no_order").show();				//视频底部显示空白断网图片
	        }else if(netWork==4||netWork==5||netWork==6){//2G,3G,4G
	        	
	        }
		})
	}
	
	//转换时长
	audio_control.prototype.timeLength = function(tTime){
        var h = Math.floor(tTime/3600);
        var m = Math.floor(tTime%3600/60);
        var s = Math.floor(tTime%60);
        //转换格式
        h = h>10?h:"0"+h;
        m = m>10?m:"0"+m;
        s = s>9?s:"0"+s; 
        //在页面上显示
        return {h:h,m:m,s:s};
	}
	
	
	
	//重新试看
	$(".menbanBtnTry").on("click",function(){
		$(".menbanLook").fadeOut();					
		$("audio")[0].currentTime=0;				//当前播放时长重置
		$("audio")[0].play();						
	})
	//立即购买
	$(".menbanBtnBuy").on("click",function(){
//		alert("功能暂未开放")'
		model.goBuy(vm.ParentID,function(data){
			if(data.state==1){
				if(data.state==1){
					mui.openWindow({
						url:"sure_order.html",
						id :"sure_order.html",
						extras:{
							typeId : vm.ParentID,
							type   : 3
						},
						styles: {
			                popGesture: 'close',
							"contentAdjust":false 
			            },
						waiting:{
					      autoShow:false
					    }
					})
				}else{
					mui.toast(data.text);
				}
			}
		})
	})
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	

	//监听拖动事件  
	document.querySelector('input[type="range"]').addEventListener("input", function(){
		var newValue = elem.value;
		var width  = newValue/100*$(".range").width()+"px";
		$("audio")[0].currentTime = newValue/100*tol;
		rangWid.style.width = width;
	});
	
	
	var  eventTester = function(e){
          video.addEventListener(e,function(){
              if(e=="waiting"){
				  $(".lazyLoad").show();
              };
              if(e=="loadedmetadata"||e=="play"||e=="timeupdate"){
              	  $(".lazyLoad").hide();
              }
              if(e=="error"){
              	mui.toast("请求数据错误！");
              }
              
              if(e=="abort"){
              	reRangeVal = true;
              }
          });
  	}
  
     eventTester("loadstart");    //客户端开始请求数据
     eventTester("progress");    //客户端正在请求数据
     eventTester("suspend");        //延迟下载
     eventTester("abort");        //客户端主动终止下载（不是因为错误引起），
     eventTester("error");        //请求数据时遇到错误
     eventTester("stalled");        //网速失速
     eventTester("play");        //play()和autoplay开始播放时触发
     eventTester("pause");        //pause()触发
     eventTester("loadedmetadata");    //成功获取资源长度
     eventTester("loadeddata");    //
     eventTester("waiting");        //等待数据，并非错误
     eventTester("playing");        //开始回放
     eventTester("canplay");        //可以播放，但中途可能因为加载而暂停
     eventTester("canplaythrough"); //可以播放，歌曲全部加载完毕
     eventTester("seeking");        //寻找中
     eventTester("seeked");        //寻找完毕
     eventTester("timeupdate");    //播放时间改变
     eventTester("ended");        //播放结束
     eventTester("ratechange");    //播放速率改变
     eventTester("durationchange");    //资源长度改变
     eventTester("volumechange");    //音量改变



	 mui.plusReady(function(){
		var sdata=plus.webview.currentWebview();
		var id   =sdata.ID;
     	$(".share").on("click",function(){
			shareList.shareData1(14,id,UserCache.getUserToken(),function(data){
				util.share("花期商学院",$(".audioName").text(),data.data.Url);
			});
     	});
     });
	return new audio_control();

});