define(['cashOut_model','util'], function(model,util) {
	var _this=null;
	function cashOut_contr(){
		_this=this;
	}

	
	var vm = new Vue({
		el:".mui-content",
		data:{
			list 	   : [],			//银行卡列表
			defaultBankID   : "",		//默认ID
			defaultBankMoren: "",		//默认按钮显示
			defaultBankName : "",		//默认显示的银行卡名称
			defaultBankNum  : "",		//默认显示的银行卡卡号
			
			cashNum	   : "",			//可兑换花瓣数量			
			cashFee    : "",			//手续费比列
			cashFeeTxt : "",			//手续费显示用的
			cashFeeInp : "",			//时时计算输入时展示的手续费
			cashFeeOut : "",			//时时计算扣除手续费，到账的金额；
			
			
			otherNum   : 0,
			// 键盘参数
			isKeyBroad : false,			//是否显示数字键盘
			num  : -1,					//初始状态
			code : [],					//当前输入花瓣的数量(数组要转成字符串)
			codeStr : "输入兑换花瓣片数"	//输入的花瓣数量
		},
		methods:{
			goCashPass:function(){		//兑换按钮
				if(this.list=='' || this.list == null){
					mui.toast("请先添加银行卡");
					return false;
				};
				if(this.codeStr < 2){
					mui.toast("兑换不能低于2片花瓣");
					return false;
				};
				if(this.cashNum < this.codeStr){
					mui.toast("当前最多兑换"+this.cashNum+"片花瓣");
					return false;
				};
				if(this.codeStr=="输入兑换花瓣片数"){
					mui.toast("请输入(至少2片)要兑换的花瓣");
					return false;
				};
				_this.getCash();
			},
			goAddBank:function(){
				mui("#sheet").popover('hide');  
				mui.openWindow({
					url : "addBank.html",
					id  : "addBank.html",
					styles: {
					    popGesture: 'close',
						"contentAdjust":false 
					},
					waiting:{
					  autoShow:false
					}
				})
			},
			chooseBankCard:function(){
				mui("#sheet").popover('toggle');  
			},
			chooseIsDefault:function(id){
				for(var i=0;i<vm.list.length;i++){
					if(id==vm.list[i].ID){
						if(!vm.list[i].IsDefault){
							vm.list[i].IsDefault = true;
							vm.defaultBankID   = vm.list[i].ID;
							vm.defaultBankName = vm.list[i].BankName;
							vm.defaultBankNum  = util.bankStr(vm.list[i].CardNo);
							vm.defaultBankMoren= vm.list[i].flag;
						}else{
							break;
						}
					}else{
						vm.list[i].IsDefault = false;
					}
				}
				mui("#sheet").popover('hide');  
			},
			choose:function(index){		
				if(this.num==-1 && index==0){			//第一次输入且首位不能是0
					mui.toast('首位不能为0');	
					return;
				}
				this.code.push(index);
				var str = this.code.join('');
				if(str > this.cashNum){					//如果当前输入的值大于可兑换的花瓣数量
					mui.toast("当前最多兑换"+this.cashNum+"片花瓣");
					this.code.splice(this.num,1);
					return
				}
				this.num++;
				this.codeStr = this.code.join('');
				this.cashFeeInp = Math.round(this.codeStr * this.cashFee * 100) / 100;
				this.cashFeeOut = this.codeStr - Math.round(this.cashFeeInp * 100) / 100;
			},	
			clear:function(){
				this.num  = -1;
				this.code = [];
				this.codeStr = "输入兑换花瓣片数";
				this.cashFeeInp = "";
				this.cashFeeOut = "";
			},
			remove:function(){
				if(this.num>=0){
					this.code.splice(this.num,1);
					this.codeStr = this.code.join('');
					this.cashFeeInp = Math.round(this.codeStr * this.cashFee * 100) / 100;
					this.cashFeeOut = this.codeStr - Math.round(this.cashFeeInp * 100) / 100;
					this.num--;
					if(this.num==-1){
						this.codeStr = "输入兑换花瓣片数";
					}
				}
			},
			hideKeyBroad:function(){
				if(this.isKeyBroad){
					this.isKeyBroad = false;
				}
			},
			showKeyBroad:function(){
				if(!this.isKeyBroad){
					this.isKeyBroad = true;
				}
			},
			
			DeleteBankCard :function(id,index){
				for(var i=0;i<vm.list.length;i++){
					if(id==vm.list[i].ID){
						var arry=[];
						arry.push(id);
						model.removeBank(arry,function(data){
							if(data.state==1){
								vm.otherNum--;
								vm.list.splice(i,1);
								if(vm.otherNum==0){
									vm.list = null;
								}else{
									console.log(": " + JSON.stringify(vm.list));
									for(var j=0;j<vm.list.length;j++){
										var temp = vm.list[j];
										if(temp.IsDefault){			//如果删除后有默认数据就显示默认,没有则显示第一条
											vm.defaultBankName = temp.BankName;
											vm.defaultBankNum  = util.bankStr(temp.CardNo);
											vm.defaultBankMoren= temp.flag;	//是否默认
											vm.defaultBankID   = temp.ID;
											temp.IsDefault = true;		//是否勾上
										}else{
											vm.defaultBankName = vm.list[0].BankName;
											vm.defaultBankNum  = util.bankStr(vm.list[0].CardNo);
											vm.defaultBankMoren= vm.list[0].flag;
											vm.defaultBankID   = vm.list[0].ID;
											vm.list[0].IsDefault = true;
										}
									}
								}
								return vm.list
							}else{
								mui.toast(data.text);
							}
						})
						break;
					}
				}
			}
		}
	})
	
	cashOut_contr.prototype.init = function(){
		_this.getData();
		
		setTimeout(function(){
			mui('.mui-scroll-wrapper').scroll({
				deceleration: 0.0005,
				indicators: false, //是否显示滚动条
				bounce: true
			});
		},100)
	}
	
	
	cashOut_contr.prototype.getData = function(){
		model.init(function(data){
			if(data.state==1){
				var obj = data.data;
				vm.list = obj.Banks;						//银行卡列表
				vm.otherNum = vm.list.length;
				vm.cashNum	= obj.EnableBalance;			//可兑换花瓣数量			
				vm.cashFee  = obj.ToCashScale;				//手续费比列
				_this.free();
				for(var i=0;i<data.data.Banks.length;i++){
					data.data.Banks[i].flag = data.data.Banks[i].IsDefault;
					data.data.Banks[i].showOtherCardNo = util.bankStr(data.data.Banks[i].CardNo);		//银行卡****
				}
				
				if(obj.Banks != null){
					for(var i=0;i<obj.Banks.length;i++){
						var temp = obj.Banks[i];
						if(temp.IsDefault){
							vm.defaultBankName = temp.BankName;
							vm.defaultBankNum  = util.bankStr(temp.CardNo);
							vm.defaultBankMoren= temp.IsDefault;
							vm.defaultBankID   = temp.ID;
							break;
						}else{
							vm.defaultBankName = obj.Banks[0].BankName;
							vm.defaultBankNum  = util.bankStr(obj.Banks[0].CardNo);
							vm.defaultBankMoren= obj.Banks[0].IsDefault;
							vm.defaultBankID   = obj.Banks[0].ID;
						}
					}
				}
			}else{
				mui.toast(data.text);
			}
		})
	}
	
	//提交兑换--按钮
	cashOut_contr.prototype.getCash = function(){
		mui.openWindow({
			url : "inpCashPass.html",
			id  : "inpCashPass.html",
			extras:{
				bankID : vm.defaultBankID,
				codeStr: vm.codeStr
			},
			styles: {
				popGesture: 'close' 
			},
			waiting:{
			  autoShow:false
			}
		});
	}
	
	
	
	//计算手续费--只是展示用
	cashOut_contr.prototype.free = function(){
		vm.cashFeeTxt = vm.cashFee*100+"%";
	}
	
	
	window.addEventListener('bankSubmit',function(){
		_this.init();
	})
	return new cashOut_contr();
});