define(['lessonDeault_model','Config'], function(model,Config) {
	var _this=null;
	function lessonDeault_control(){
		_this=this;
	}
	
	Vue.use(VueLazyload, {
		preLoad: 1.3,
		error: Config.ERROR_IMG,			//当加载图片失败的时候
		loading: Config.LOAD_IMG,			//当加载图片成功的时候
		attempt: 1							//尝试次数
	});
	
	var vm=new Vue({
		el:".mui-content",
		data:{
			ID      : "",
			TopName : "",
			TopImg2 : "",
			TopImg  : "",
			TopTime : "",
			TopNum  : "",
			Describe: "",
			BuyText : "",
			PriceFlag: "",   
			
			
			IsFavor : false,		//收藏事件开关
			FavorID : "",			//取消想学的ID
			IsBuy   : false,		//是否已经购买--显示底部
			list : [],
			teamList:[],
			Cindex :0,
			isTrue : "",
			IsSpecial : false		//是栏目true 还是视频false
		},
		methods:{
			tabChoose : function(index){
				vm.Cindex = index;
				mui('#mui-scroll-wrapper').scroll().scrollTo(0,0,100);
				if(index==0){_this.scrollTime();}
			},
			goVideo:function(index,type,IstryLook,price){ 
				console.log("price: " + JSON.stringify(price));
				if(!vm.IsBuy){							//如果没买，再继续判断是否可试看
					if(vm.isTrue){						//如果是内购开启，就直接跳转
						if(type==1){
							mui.openWindow({
								url : "videoDeault.html",
								id  : "videoDeault.html",
								extras:{
									ID :index
								},
								styles: {
					                popGesture: 'close',
									"contentAdjust":false 
					            },
								waiting:{
							      autoShow:false
							    }
							})
						}else if(type==2){
							mui.openWindow({
								url : "audio.html",
								id  : "audio.html",
								extras:{
									ID :index
								},
								styles: {
					                popGesture: 'close',
									"contentAdjust":false 
					            },
								waiting:{
							      autoShow:false
							    }
							})
						}
					}else{								//还是根据原来的交互
						if(IstryLook || vm.PriceFlag<=0){
							if(type==1){
								mui.openWindow({
									url : "videoDeault.html",
									id  : "videoDeault.html",
									extras:{
										ID :index
									},
									styles: {
						                popGesture: 'close',
										"contentAdjust":false 
						            },
									waiting:{
								      autoShow:false
								    }
								})
							}else if(type==2){
								mui.openWindow({
									url : "audio.html",
									id  : "audio.html",
									extras:{
										ID :index
									},
									styles: {
						                popGesture: 'close',
										"contentAdjust":false 
						            },
									waiting:{
								      autoShow:false
								    }
								})
							}
						}else{
							mui.toast("加入学习后可观看！")
						}
					}
				}else{									//如果已经买了，都可以看(跳转原生视频)
					if(type==1){
						mui.openWindow({
							url : "videoDeault.html",
							id  : "videoDeault.html",
							extras:{
								ID :index
							},
							styles: {
				                popGesture: 'close' ,
								"contentAdjust":false ,
				                titleNView: {
							        autoBackButton : true,
							        backgroundColor: "#FFFFFF",
							        titleText  : "视频播放详情",
							        titleColor : "#000000",
							        buttons: [{
					                    "float": "right",
					                    "fontSize": "27px",
					                    "fontSrc": "../fonts/iconfont.ttf",//字体文件
					                    "text": "\ue60c",
					                    "onclick": "javascript:plus.webview.getWebviewById('videoDeault.html').evalJS('myshare();')"
							    	}]
							     }
				            },
							waiting:{
						      autoShow:false
						    }
						})
					}else if(type==2){
						mui.openWindow({
							url : "audio.html",
							id  : "audio.html",
							extras:{
								ID :index
							},
							styles: {
				                popGesture: 'close',
								 "contentAdjust":false 
				            },
							waiting:{
						      autoShow:false
						    }
						})
					}
				}
			},
			goPhoto:function(index){
				mui.openWindow({
					url : "presonPhoto.html",
					id  : "presonPhoto.html",
					extras:{
						ID : index
					},
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			},
			goBuy:function(){
				if(vm.PriceFlag>0){			//价格大于0才能去购买
					_this.goBuy();
				}else{
					vm.Cindex = 1;
				}
			},
			collect:function(){
				if(vm.IsFavor){				//取消收藏
					_this.cancleCollect();
				}else{						//收藏
					_this.collect();
				}
			}
		}
	})
	lessonDeault_control.prototype.init = function(){
		mui.plusReady(function(){
			var sdata=plus.webview.currentWebview();
			if(sdata.typeOrder ==1){
				vm.Cindex = 1
			}
		})
		_this.getData();
		_this.scrollTime();
	}
	
	
	lessonDeault_control.prototype.getData = function(){
		model.isShowBuy(function(){
			vm.isTrue = model.getIsShowBuy();
			if(vm.isTrue){
				$(".videoBottom").hide();
				model.initTrue(function(data){
					if(data.state==1){ 
						var _obj    =  data.data.Course;
						vm.ID		= _obj.ID;
						vm.TopName  = _obj.Title;
						vm.TopImg2  = _obj.BannerPhoto;
						vm.TopImg   = _obj.ImageUrl;
						vm.TopTime  = _obj.CourseNum;
						vm.TopNum   = _obj.BuyNum;
						vm.BuyText	= _obj.BuyText;
						vm.IsSpecial= _obj.IsSpecial;
						vm.FavorID	= _obj.FavorID;				//是否已收藏
						vm.IsFavor	= _obj.IsFavor;
						vm.IsBuy	= _obj.IsBuy;
						vm.Describe = _obj.Describe;
						vm.teamList = _obj.teachers;			//金牌讲师
						vm.list     = data.data.CourseList;		//目录
						vm.PriceFlag= _obj.Price;				//如果价格为0，底部显示免费观看
					}
				})
			}else{
				model.init(function(data){
					if(data.state==1){ 
						var _obj    =  data.data.Course;
						vm.ID		= _obj.ID;
						vm.TopName  = _obj.Title;
						vm.TopImg   = _obj.ImageUrl;
						vm.TopImg2  = _obj.BannerPhoto;
						vm.TopTime  = _obj.CourseNum;
						vm.TopNum   = _obj.BuyNum;
						vm.BuyText	= _obj.BuyText;
						vm.IsSpecial= _obj.IsSpecial;
						vm.FavorID	= _obj.FavorID;				//是否已收藏
						vm.IsFavor	= _obj.IsFavor;
						vm.IsBuy	= _obj.IsBuy;
						vm.Describe = _obj.Describe;
						vm.teamList = _obj.teachers;			//金牌讲师
						vm.list     = data.data.CourseList;		//目录
						vm.PriceFlag= _obj.Price;				//如果价格为0，底部显示免费观看
						if(!vm.IsBuy){
							$(".videoBottom").show();
						}
						if(vm.IsFavor){
							$(".videoBottomTxt").text("已收藏");
							$(".empty").hide();
							$(".noEmpty").show();
						}else{
							$(".empty").show();
							$(".noEmpty").hide();
						}
					}
				})
			}
		})
	}
	
	//收藏---取消收藏
	lessonDeault_control.prototype.collect = function(){
		model.collect(vm.ID,function(data){
			if(data.state==1){
				$(".videoBottomTxt").text("已收藏");
				$(".empty").hide();
				$(".noEmpty").show();
				
				vm.IsFavor = true;
				vm.FavorID = data.data;
			}else{mui.toast(data.text)};
		})
	}
	lessonDeault_control.prototype.cancleCollect = function(){
		model.cancleCollect(vm.FavorID,function(data){
			if(data.state==1){
				if(vm.IsSpecial){
					$(".videoBottomTxt").text("想看");
				}else{
					$(".videoBottomTxt").text("想学");
				}
				$(".empty").show();
				$(".noEmpty").hide();
				vm.IsFavor = false;
				var view=plus.webview.currentWebview().opener();
				mui.fire(view,"myCollect");
			}else{mui.toast(data.text)};
		})
	}
	
	
	//加入学习
	lessonDeault_control.prototype.goBuy = function(){
		model.goBuy(function(data){
			if(data.state==1){
				mui.openWindow({
					url:"sure_order.html",
					id :"sure_order.html",
					extras:{
						typeId : vm.ID,
						type   : 3
					},
					styles: {
		                popGesture: 'close',
						"contentAdjust":false 
		            },
					waiting:{
				      autoShow:false
				    }
				})
			}else{
				mui.toast(data.text);
			}
		})
	}
	
	
	
	
	
	
	lessonDeault_control.prototype.scrollTime = function(){
		setTimeout(function() {
			mui(".mui-slider").slider({
				interval: 0
			});
			mui('.mui-scroll-wrapper').scroll({
				indicators: false, //是否显示滚动条
				deceleration: 0.0005
			});
		}, 1000);
	}
	var mui_slider_itemHeight = $(".bg").height()+$(".tabList").height();
	var scroll = mui('#mui-scroll-wrapper').scroll();
	var y = null;
	//手机滑动效果
	document.querySelector('#mui-scroll-wrapper').addEventListener('scroll', function (e){ 
		y=scroll.y;
		if(y<-mui_slider_itemHeight){
			$(".showOtherTop").css("opacity",1);
			$("#top").hide();
		}else{
			$(".showOtherTop").css("opacity",0);
			$("#top").show();
		}
	})
	
	
	return new lessonDeault_control();
});