define(["Config"], function(Config) {
	var waits = [];
	var arryIMG=null;
	var util = {
		//分享 
		share: function(title,txt,src){
			var message = {
				type: "web",
		        title: title, //应用
		        content: txt,
		        href: src,   //分享出去后，点击跳转地址
		        thumbs: ["https://www.huaqimy.com/logo.png"] //分享缩略图
		    }
		    //调起分享
		    plusShare(message,function(res) {
		        //分享回调函数
		        if(res) {
//		            plus.nativeUI.toast("分享成功");
		        } else {
		            plus.nativeUI.toast("分享失败");
		        }
		    })
		},

		/**
		 * 打开页面
		 * @param {Object} _pageName 页面名
		 * @param {Object} _params 参数 没参数填null
		 * @param {Object} _paramskey 参数键 没参数填null 默认datas
		 */
		openPage: function(_pageName, _params, _paramskey) {
			if(_paramskey == null) {
				_paramskey = 'datas';
			}
			var jsons = {};
			jsons[_paramskey] = _params;
			mui.openWindow({
				url: _pageName + ".html",
				id: _pageName,
				extras: jsons
			});
		},
		/**
		 * 去掉json 反斜杠
		 * @param {Object} str 字符串
		 * @param {Object} type 标识符
		 */
		stringReplace: function(str, type) {
			var arrs = "";
			if(type == null) {
				arrs = str.replace(/\\(.)/g, "$1");;
			} else {
				arrs = str.replace(type, "");
			}
			return arrs;
		},
		diffTime: function(times) { //根据两个时间差毫秒数计算相差几天
			var timediff = times;
			//			var weeks = Math.floor(timediff / (1000 * 60 * 60 * 24 * 7));
			//			timediff -= weeks * (1000 * 60 * 60 * 24 * 7);

			var days = Math.floor(timediff / (1000 * 60 * 60 * 24));
			timediff -= days * (1000 * 60 * 60 * 24);

			var hours = Math.floor(timediff / (1000 * 60 * 60));
			timediff -= hours * (1000 * 60 * 60);

			var mins = Math.floor(timediff / (1000 * 60));
			timediff -= mins * (1000 * 60);

			var secs = Math.floor(timediff / 1000);
			timediff -= secs * 1000;
			//			console.log(days + " 天, " + hours + "　小时, " + mins + " 分"+secs+"秒");
			var time_diff = {
				//				weeks : weeks,
				days: days,
				hours: hours,
				mins: mins,
				secs: secs
			}

			return time_diff;
		},
		/*
		 * 日记拍照
		 */
		getImageFromCamera: function(func) {
			var c = plus.camera.getCamera();
			c.captureImage(function(e) {
				plus.io.resolveLocalFileSystemURL(e, function(entry) {
					var path = entry.toLocalURL() + "?version=" + new Date().getTime();
					func(path);
				}, function(e) {
					console.log("读取拍照文件错误：" + e.message);
				});
			}, function(s) {
				console.log("error" + JSON.stringify(s));
			}, {
				filename: "_doc/camera/"
			})
		},
		
		//相册单选
		galleryImg: function(func) {
			plus.gallery.pick(function(a) {
				plus.io.resolveLocalFileSystemURL(a, function(entry) {
					plus.io.resolveLocalFileSystemURL("_doc/", function(root) {
						//console.log("a=" + JSON.stringify(a));
						func(a);
					}, function(e) {
						console.log(e);
					})
				}, function(e) {
					console.log("读取拍照文件错误：" + e.message);
				});
			}, function(a) {}, {
				filter: "image"
			})
		},
		//相册多选
		galleryImgMore: function(func) {
			//从相册中选择图片
		    plus.gallery.pick(function(e){
		    	for(var i in e.files){
			    	func(e.files[i]);
		    	}
		    }, function ( e ) {
		    	console.log( "取消选择图片" );
		    },
			    {filter:'image',multiple:true,maximum:6,onmaxed:function(){
					plus.nativeUI.alert('最多只能选择6张图片');
			    }}
		    );
		    
		},
		
		
		//上传头像
		jyUPLoader: function(localUrl,func) {
			console.log("localUrl = " + localUrl);
			plus.zip.compressImage({
				src: localUrl,
				dst: "_doc/chat/camera/" + localUrl,
				quality: 20,
				overwrite: true
			}, function(e) {
				//服务端接口路径
				var server = Config.PHOTOIMGURL;
				//打开等待旋转提示按钮
				var wt = plus.nativeUI.showWaiting();
				var task = plus.uploader.createUpload(server, {
					method: "post"
				}, function(t, status) {
					if(status == 200) {
						mui.toast("上传成功");
						wt.close(); //关闭等待提示按钮
						func(t);
					} else {
						mui.toast("上传失败：" + status);
						wt.close(); //关闭等待提示按钮
					}
				});
				task.addFile(localUrl, {
					key: 'file'
				});
				//添加其他参数
//				task.addData("File", null);
//				task.addData("token", token);
				task.start();
			}, function(err) {
				console.log("压缩失败：  " + err.message);
			});
		},
		/*
		 * 压缩上传的图片
		 */
		zipImage: function(filePath, func) {
			plus.zip.compressImage({
				src: filePath,
				dst: '_doc/chat/camera/' + filePath,
				quality: 20,
				overwrite: true
			},
			function(e) {
				  if(filePath.indexOf("?version=")!=-1){
				  		func(filePath);
				  }else{
					  	console.log("e.target="+e.target)
					  	arryIMG  = e.target;
					  	func(arryIMG);
				  }
			},
			function(error) {
				console.log("压缩失败：  " + err.message);
			});
		},
		checkPhone: function(phone) {
			if(!(/^1\d{10}$/.test(phone))) {
				return false;
			}
			return true;
		},
		
		
		/**
		 * 发表日记---上传多个图片
		 * @param {Object} filePaths 文件路径数组
		 * @param {Object} params 参数数组
		 * @param {Object} func 回调函数
		 */
		jyUPLoaders: function(serverPath, filePaths,func) {
			var server = serverPath;
			//打开等待旋转提示按钮
			var wt = plus.nativeUI.showWaiting();
			var task = plus.uploader.createUpload(server, {
				method: "post"
			}, function(t, status) {
				if(status == 200) {
					console.log("t="+JSON.stringify(t));
					wt.close(); //关闭等待提示按钮
					func(t);
				} else {
					mui.toast("上传失败：" + status);
					wt.close(); //关闭等待提示按钮
				}
			});
			//添加其他参数
//			for(var index in params) {
//				task.addData(index, params[index]);
//			}
			var paths = [];
			var len = 0;
			if(filePaths.length == 0) {
				task.start();
			}
			for(var i = 0; i < filePaths.length; i++) {
				var f = filePaths[i];
				console.log("上传的图片="+filePaths)
				this.zipImage(f, function(path) {
					paths.push(path);
					if(paths.length == filePaths.length) {
						for(var j = 0; j < paths.length; j++) {
							task.addFile(paths[j], {
								key: "files" + j
							});
						}
						task.start();
					}
				});
			}
		},
		/**
		 * 计算两个时间差 
		 * @param {Object} date1
		 * @param {Object} date2
		 * 返回秒
		 */
		timeDifference: function(date1) {
			var td1 = util.stringFramtDate(date1);
			var td2 = new Date();
			var temp = Math.abs(td1 - td2);
			return parseInt(temp / 1000);
		},
		readFile: function(_file, func) {
			$.ajax({
				url: _file,
				dataType: 'text',
				success: function(data) {
					//					console.log(data);
					func(data);
				},
				fail: function(error) {
					console.log("error" + JSON.stringify(error));
				}
			});
		},
		clearHtml:function(str){									//正则清理所有标签
			var outTxet = str.replace(/<[^>]+>/g, "");
			return outTxet;
		},
		/*
		 * 数组去重
		 */
		arryClearNear:function(arr){
		    //遍历arr，把元素分别放入tmp数组(不存在才放)
	        var tmp = new Array();
	        for(var i in arr){
	            //该元素在tmp内部不存在才允许追加
	            if(tmp.indexOf(arr[i])==-1){
	                tmp.push(arr[i]);
	            }
	        }
		    return tmp;
		},
		
		zan : function(arr,id){
			var ZanArry=[];
			if(arr==null){
				var arry={
					ID : id,
					STATE : true			
				}
				ZanArry.push(arry);
				localStorage.setItem('Zan',JSON.stringify(ZanArry));
				arr = ZanArry;	
			}else{
				var bb=localStorage.getItem("Zan");
				var obj = JSON.parse(bb);
				for(var k=0;k<obj.length;k++){
					if(obj[k].ID == id){
						obj.splice(k,1);
						break;
					}
				}
				var arry={
					ID : id,
					STATE : true			
				}
				obj.push(arry);
				localStorage.setItem('Zan',JSON.stringify(obj));
			}
		},
		orZan:function(id){
			var bb=localStorage.getItem("Zan");
			var obj = JSON.parse(bb);
			var arry=[];
			for(var k=0;k<obj.length;k++){
				if(obj[k].ID == id){
					obj[k].STATE = false;
				}
				arry.push(obj[k]);
			}
			localStorage.setItem('Zan',JSON.stringify(arry));
		},
		goLogin : function(){
			mui.openWindow({
				url:"login.html",
				id :"login.html",
				styles: {
	                popGesture: 'close' 
	            },
				waiting:{
			      autoShow:false
			    }
			})
		},
		phoneStr:function(str){
			var strStart = ""+str.substring(-1,3);
			var strLast = str.substring(7);
			var newPhonw = strStart+"****"+strLast;
			return newPhonw
		},
		bankStr:function(str){
			var strStart = ""+str.substring(-1,4);
			var strLast =""+ str.substr(str.length-4);
			var newBank = strStart + "****" + "****" + strLast;
			return newBank
		}
	};

	return util;
});